<?php
if (!defined('TYPO3_MODE')) {
	die('Access denied.');
}

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
	'SalvatoreEckel.' . $_EXTKEY,
	'Ajax',
	'Ajax'
);

if (TYPO3_MODE === 'BE') {

	/**
	 * Registers a Backend Module
	 */
	\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerModule(
		'SalvatoreEckel.' . $_EXTKEY,
		'system',	 // Make module a submodule of 'web'
		'index',	// Submodule key
		'',						// Position
		array(
			'Wrapper' => 'list, new, create, edit, update, delete, index, generators, recycle',
			'Ajax' => 'index, subscribe, login, cookCaperssoup, comments, autosuggest, heart, sitemap',
		),
		array(
			'access' => 'user,group',
			'icon'   => 'EXT:' . $_EXTKEY . '/ext_icon.png',
			'labels' => 'LLL:EXT:' . $_EXTKEY . '/Resources/Private/Language/locallang_index.xlf',
		)
	);

}

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile($_EXTKEY, 'Configuration/TypoScript', 'TYPO3 Wrapper');

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr('tx_t3wrapper_domain_model_wrapper', 'EXT:t3wrapper/Resources/Private/Language/locallang_csh_tx_t3wrapper_domain_model_wrapper.xlf');
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr('tx_t3wrapper_domain_model_ajax', 'EXT:t3wrapper/Resources/Private/Language/locallang_csh_tx_t3wrapper_domain_model_ajax.xlf');

//\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_t3wrapper_domain_model_wrapper');

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::makeCategorizable(
    $_EXTKEY,
    'tx_t3wrapper_domain_model_wrapper'
);
