#
# Table structure for table 'tx_t3wrapper_domain_model_wrapper'
#
CREATE TABLE tx_t3wrapper_domain_model_wrapper (

	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,

	name varchar(255) DEFAULT '' NOT NULL,
	type_num int(11) DEFAULT '0' NOT NULL,
	adm_panel tinyint(1) unsigned DEFAULT '0' NOT NULL,
	additional_headers varchar(255) DEFAULT '' NOT NULL,
	disable_all_header_code tinyint(1) unsigned DEFAULT '0' NOT NULL,
	extension_name varchar(255) DEFAULT '' NOT NULL,
	plugin_name varchar(255) DEFAULT '' NOT NULL,
	vendor_name varchar(255) DEFAULT '' NOT NULL,
	controller varchar(255) DEFAULT '' NOT NULL,
	switchable_controller_actions text NOT NULL,
	abstract_settings text NOT NULL,
	requests int(11) DEFAULT '0' NOT NULL,
	ip varchar(255) DEFAULT '' NOT NULL,

	tstamp int(11) unsigned DEFAULT '0' NOT NULL,
	crdate int(11) unsigned DEFAULT '0' NOT NULL,
	cruser_id int(11) unsigned DEFAULT '0' NOT NULL,
	deleted tinyint(4) unsigned DEFAULT '0' NOT NULL,
	hidden tinyint(4) unsigned DEFAULT '0' NOT NULL,
	starttime int(11) unsigned DEFAULT '0' NOT NULL,
	endtime int(11) unsigned DEFAULT '0' NOT NULL,
	sorting int(11) DEFAULT '0' NOT NULL,

	sys_language_uid int(11) DEFAULT '0' NOT NULL,
	l10n_parent int(11) DEFAULT '0' NOT NULL,
	l10n_diffsource mediumblob,

	PRIMARY KEY (uid),
	KEY parent (pid),

 KEY language (l10n_parent,sys_language_uid)

);

#
# Table structure for table 'tx_t3wrapper_domain_model_wrapper'
#
CREATE TABLE tx_t3wrapper_domain_model_wrapper (
	categories int(11) unsigned DEFAULT '0' NOT NULL,
);
